Subject: Re: Available memory
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Steve D. Bowman" <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Mar 2001 17:24:27 -0500

I directed the discussion back to the list.

mem is a "DOS" tool.  I don't think you should expect to get a valid view
of system resources through this (it shows 1MB of extended memory for me
too).  In any case, what this tool tells you has nothing to do with Cygwin.

You need more heap space (assuming you have set up your system under Windows
with enough physical and/or virtual memory to accommodate your package's
requirement).  Check the value of heap_chunk_in_mb as I suggested and bump
it up to whatever you need.  That should do the trick, assuming the package
is built with Cygwin in the first place.  Otherwise, Cygwin's settings are
entirely inconsequential.

Larry

At 05:17 PM 3/21/2001, Steve D. Bowman wrote:
>Larry,
>
>         I determined the memory in a cygwin window be typing in mem.
>Also, when I run an interferometry package in cygwin that wants 512M of
>RAM i get an error stating to the effect that not enough memory is
>available.  Thanks.
>
>
>Steve D. Bowman
>Graduate Research Assistant
>University of Nevada, Reno
>Geological Engineering, MS 172
>Reno, Nevada  89557
>(775) 784-6134
>FAX (775) 784-1833
>
>
>On Wed, 21 Mar 2001, Larry Hall (RFK Partners, Inc) wrote:
>
> > At 04:50 PM 3/21/2001, Steve D. Bowman wrote:
> > >         How do I increase the amount of memory present for cygwin?  On
> > >running the latest release (1/21/2001) under win2000, it reports only 1M.
> > >I would like to increase the memory available to programs running under
> > >cygwin to 512M or so.  Thanks.
> > 
> > 
> > 
> > I'm curious, just what memory are you talking about?  How did you determine
> > that Cygwin "reports only 1M"?  There is a registry setting, heap_chunk_in_mb,
> > that defines the size of the heap in Cygwin.  Is this what you're talking 
> > about?  It shouldn't be set to 1MB.  Go ahead and change it to whatever you
> > want.  Some Win 9x users reported problems if the value of this setting was
> > too high though.  YMMV.
> > 
> > 
> > 
> > Larry Hall                              [email-masked]
> > RFK Partners, Inc.                      http://www.rfk.com
> > 118 Washington Street                   (508) 893-9779 - RFK Office
> > Holliston, MA 01746                     (508) 893-9889 - FAX
> > 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple